version: '3.8'

services:
  backend:
    build: ./backend
    volumes:
      - ./backend/data:/app/data
      - ./backend/index:/app/index
    ports:
      - "8000:8000"
    environment:
      - OPENAI_API_KEY=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